
Katello - Bug #5454

Updating organization label doesn't work

04/25/2014 05:34 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1089996 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1089996

Description of problem:

When running update on org on api endpoint, label present in json causes candlepin to throw errors.

Version-Release number of selected component (if applicable):

Version 1.5.0-19.el6sat

Steps to Reproduce:

curl -X PUT -k -u admin:changeme -H "Content-Type: application/json" https://qetello02.usersys.redhat.com/api/v2/organizations/550

-d '{"organization": {"label": "hIxwUvCnUHowVjwnqedD", "description": "ollIHcITnDinXqIGhGoA", "name":

"38343473775053308715"}}'

Actual results: {

"error": {"message":"Katello::Resources::Candlepin::CandlepinResource: 404 Resource Not Found

{\"displayMessage\":\"Organization with id hIxwUvCnUHowVjwnqedD could not be

found.\",\"requestUuid\":\"04729c92-3710-46f6-be9d-e5d7c94ddc6f\"} (GET

/candlepin/owners/hIxwUvCnUHowVjwnqedD/servicelevels)"}

}

Expected results:

{"organization":{"ancestry":null,"apply_info_task_id":null,"created_at":"2014-04-22T09:40:23Z","default_info":{"system":[],"distributor":[

]},"deletion_task_id":null,"description":"ollIHcITnDinXqIGhGoA","id":550,"ignore_types":[],"label":"59533697327709441536","name":"3

8343473775053308715","owner_auto_attach_all_systems_task_id":null,"title":"38343473775053308715","updated_at":"2014-04-22T

09:54:20Z","service_levels":[],"service_level":null}}

History

#1 - 04/25/2014 05:40 PM - Thomas McKay

- Assignee changed from Bryan Kearney to dustin tsang

- Triaged set to Yes

#2 - 04/25/2014 05:41 PM - Thomas McKay

Note: Labels are not allowed to be updated, once created they are permanent. The error is that hammer (and/or the api, and/or apipie) is allowing

label to be passed into update. This are should be rejected (or ignored).

#3 - 04/28/2014 04:45 PM - dustin tsang

- Status changed from New to Closed

Closing as "Not a Bug":

Hi Adam, closing as "not a bug". The behavior is correct since Satelite6 uses the label as human-readable ids. Labels should also be immutable.
#4 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
